List calendars
Returns a list of calendars for the authenticated project. Results are paginated using cursor pagination.
Query Parameters
- Type: string
cursor Cursor for pagination
- Type: string
deduplication _key Filter calendars by deduplication key
Headers
- Type: string
Authorization requiredAPI key for authentication
- Type: string
Content - Type requiredShould always be application/json
Responses
- application/json
Request Example for get/api/v1/calendars
curl 'https://app.attendee.dev/api/v1/calendars?cursor=&deduplication_key=user-abcd' \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json'
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"id": "string",
"platform": "google",
"client_id": "string",
"platform_uuid": null,
"state": "connected",
"metadata": {},
"deduplication_key": null,
"connection_failure_data": null,
"created_at": "2026-04-10T17:14:55.003Z",
"updated_at": "2026-04-10T17:14:55.003Z",
"last_successful_sync_at": null,
"last_attempted_sync_at": null
}
]
}